API referenceContacts
Upsert communication preferences
PUT
bearerAuthheader
AuthorizationBearer <API key>Project API key (cr_sk_...)
external_user_id*stringapplication/json- body
preferences*array<>Updated
application/json- response
contact_id?stringFormat
uuidexternal_user_id?stringpreferences?array<>curl -X PUT 'https://api.comraid.io/contacts/string/preferences' \ -H 'Content-Type: application/json' \ -d '{ "preferences": [ { "category": "string", "channel": "push", "enabled": true } ]}'Example Response
{ "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "external_user_id": "string", "preferences": [ { "category": "string", "channel": "push", "enabled": true, "updated_at": "2019-08-24T14:15:22Z" } ]}